Docs
Get Constraints
GET /constraints
GET
/constraintsLists the event's constraints, each with its type (General or Task), status (Active or Resolved), the blocking task for a Task constraint and the tasks it constrains. Needs an event token and the event project management admin permission.
Response
Type: GetConstraintsResponse[]
GetConstraintsResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| type | string| null | |
| status | string| null | |
| constrainedByTaskId | uuid| null | |
| constrainedTaskIds | uuid[]| null |